DatagramConnection
Date: 2016-06-24

javax.microedition.io

## Interface DatagramConnection

- All Superinterfaces:
    Connection
  All Known Subinterfaces:
    UDPDatagramConnection

      public interface DatagramConnection
      extends Connection

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaximumLength()`
    `int` | `getNominalLength()`
    `Datagram` | `newDatagram(byte[] var0, int var1)`
    `Datagram` | `newDatagram(byte[] var0, int var1, String var2)`
    `Datagram` | `newDatagram(int var0)`
    `Datagram` | `newDatagram(int var0, String var1)`
    `void` | `receive(Datagram var0)`
    `void` | `send(Datagram var0)`

    - ### Methods inherited from interface javax.microedition.io.Connection

      `close`

- - ### Method Detail

    - #### getMaximumLength

          int getMaximumLength()
                               throws IOException

      Throws:
        `IOException`

    - #### getNominalLength

          int getNominalLength()
                               throws IOException

      Throws:
        `IOException`

    - #### newDatagram

          Datagram newDatagram(int var0)
                               throws IOException

      Throws:
        `IOException`

    - #### newDatagram

          Datagram newDatagram(int var0,
                             String var1)
                               throws IOException

      Throws:
        `IOException`

    - #### newDatagram

          Datagram newDatagram(byte[] var0,
                             int var1)
                               throws IOException

      Throws:
        `IOException`

    - #### newDatagram

          Datagram newDatagram(byte[] var0,
                             int var1,
                             String var2)
                               throws IOException

      Throws:
        `IOException`

    - #### receive

          void receive(Datagram var0)
                       throws IOException

      Throws:
        `IOException`

    - #### send

          void send(Datagram var0)
                    throws IOException

      Throws:
        `IOException`